const APP_DISPLAY_NAME = "Style Selector";
const APP_NAME = "styleselector";
const APP_PACKAGE = "/clav.co.uk/styleselector";
const APP_VERSION = "0.3.0";

const APP_JAR_FILE = "styleselector.jar";
const APP_CONTENT_FOLDER = "content/styleselector/";
const APP_LOCALE_FOLDER  = "locale/en-US/styleselector/";
const APP_SKIN_FOLDER    = "skin/classic/styleselector/";

const APP_SUCCESS_MESSAGE = "The Style Selector should appear in the status bar when you next load Firebird. Try it out at http://www.w3.org/Style/CSS/Test/!";

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" to your profile?\nThis will mean it does not need reinstalling when you update Firebird.\n(Click Cancel if you want "+APP_DISPLAY_NAME+" installing to the Firebird directory.)";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = (buildID>2003030600 && confirm(INST_TO_PROFILE));

var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)
if(err == SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	if(instToProfile) {
  	registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
  	registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_FOLDER);
	  registerChrome(SKIN    | PROFILE_CHROME, jar, APP_SKIN_FOLDER);
  } else {
  	registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  	registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
	  registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
  }
	err = performInstall();
	// 999 means installing over the top of an old version (I think)
	if(err == SUCCESS || err==999) {
		alert(APP_DISPLAY_NAME+" "+APP_VERSION+" has been succesfully installed.\n"+APP_SUCCESS_MESSAGE);
	} else {
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else {
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to phoenix/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}